Bug 1069375 - All files whose name has length 3 become chemical/x-turbomole-vibrational type
All files whose name has length 3 become chemical/x-turbomole-vibrational type
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: chemical-mime-data (Show other bugs)
22
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-24 16:22 EST by Marco Motta
Modified: 2015-06-30 01:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:54:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Motta 2014-02-24 16:22:12 EST
Description of problem:

All the files whose name has length 3 become chemical/x-turbomole-vibrational type.

Version-Release number of selected component (if applicable):

chemical-mime-data.noarch                 0.1.94-13.fc20

How reproducible:

Create a file with name "doc", "faq", or another one whose name has length 3. Make a file executable with "chmod 777 doc".
The content of the file can be, for example,
#!/bin/bash
ls ~

Steps to Reproduce:
1. Open with nemo the folder that contains "doc". 
2. See the file properties and his icon.

Actual results:

The file result of chemical/x-turbomole-vibrational type, and the icon is not the one for executable files

Expected results:

The file must be an executable file type, and the icon must be the one for executable files.

Additional info:

The cause is this line in the file /usr/share/mime/packages/chemical-mime-data.xml that is in chemical-mime-data-0.1.94-13.fc20.noarch.rpm:

<mime-type type="chemical/x-turbomole-vibrational"><comment>Turbomole Vibrational Data File</comment><glob pattern="???"/>

I think that glob pattern="???" is not a good idea...
Comment 1 Julian Sikorski 2014-03-01 06:52:57 EST
Reported upstream:
https://sourceforge.net/p/chemical-mime/bugs/2/
Comment 2 Fedora End Of Life 2015-05-29 07:02:38 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-06-29 20:54:54 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.